Last Comment Bug 687857 - Intermittent TEST-UNEXPECTED-FAIL | leaked ~2MB - 4MB running mochitest-chrome
: Intermittent TEST-UNEXPECTED-FAIL | leaked ~2MB - 4MB running mochitest-chrome
Status: RESOLVED FIXED
: intermittent-failure, mlk, regression
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
Depends on: 699796
Blocks: 438871 678830
  Show dependency treegraph
 
Reported: 2011-09-20 08:32 PDT by Graeme McCutcheon [:graememcc]
Modified: 2012-11-25 19:31 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments

Description Graeme McCutcheon [:graememcc] 2011-09-20 08:32:52 PDT
Seen 2 of these leaks, starting with https://hg.mozilla.org/integration/mozilla-inbound/rev/5a3e49205389.

https://tbpl.mozilla.org/php/getParsedLog.php?id=6464293&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6464765&tree=Mozilla-Inbound

Leak analyser gives the same output for both of the leaks:
leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/dom/ipc/tests/test_process_error.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_button.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_colorpicker_popup.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_deck.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_dialogfocus.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_props.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_radio.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_richlist_direction.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_sorttemplate.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tabindex.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tree.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tree_hier.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tree_hier_cell.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tree_single.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_tree_view.xul leaked 1 DOMWINDOW(s)
chrome://mochitests/content/chrome/widget/tests/test_wheeltransaction.xul leaked 1 DOMWINDOW(s)

...and the detail
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2469307 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 507 instances of AtomImpl with size 20 bytes each (10140 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 14 instances of BodyRule with size 16 bytes each (224 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of Connection with size 112 bytes each (224 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 10 instances of FontTableBlobData with size 12 bytes each (120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of GenericFactory with size 16 bytes each (32 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of HoldJSObjects with size 4 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of ImageObserver with size 8 bytes each (112 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 16 instances of ImportRule with size 44 bytes each (704 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 66 instances of ImportantRule with size 16 bytes each (1056 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of InMemoryDataSource with size 152 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of LiteralImpl with size 12 bytes each (24 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 98 instances of Loader with size 224 bytes each (21952 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of LocalStoreImpl with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 32 instances of MediaRule with size 36 bytes each (1152 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 16 instances of Mutex with size 12 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 100 instances of NameSpaceRule with size 40 bytes each (4000 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of Preferences with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of PrincipalHolder with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of PtrAndPrincipalHashKey with size 16 bytes each (32 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of RDFContainerUtilsImpl with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 276 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of RasterImage with size 168 bytes each (6048 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 26 instances of ReentrantMonitor with size 16 bytes each (416 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3029 instances of Rule with size 20 bytes each (60580 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 56 instances of RuleHash with size 172 bytes each (9632 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of Service with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of SharedScriptableHelperForJSIID with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 26 instances of Statement with size 60 bytes each (1560 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of StatementParams with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of StorageMemoryReporter with size 36 bytes each (216 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of StringAdopt with size 1 bytes each (2 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2880 instances of StyleRule with size 40 bytes each (115200 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of URIAndPrincipalHashKey with size 12 bytes each (60 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of UploadLastDir with size 20 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 58 instances of ValueObserver with size 36 bytes each (2088 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 83 instances of XPCContext with size 40 bytes each (3320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 81 instances of XPCLocaleCallbacks with size 32 bytes each (2592 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 51 instances of XPCNativeInterface with size 20 bytes each (1020 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 51 instances of XPCNativeMember with size 8 bytes each (408 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 344 instances of XPCNativeScriptableInfo with size 8 bytes each (2752 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 13 instances of XPCNativeScriptableShared with size 188 bytes each (2444 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 18 instances of XPCNativeSet with size 8 bytes each (144 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 349 instances of XPCWrappedNative with size 56 bytes each (19544 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 86 instances of XPCWrappedNativeProto with size 32 bytes each (2752 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 23 instances of XPCWrappedNativeScope with size 60 bytes each (1380 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 72 instances of gfxASurface with size 24 bytes each (1728 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 16 instances of gfxFont with size 112 bytes each (1792 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of gfxFontEntry with size 92 bytes each (644 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of gfxGlyphExtents with size 40 bytes each (240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 33 instances of gfxTextRun with size 120 bytes each (3960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of gfxTextRunFactory with size 12 bytes each (72 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of gfxUniscribeShaper with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 8 instances of imgCacheEntry with size 32 bytes each (256 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of imgRequest with size 184 bytes each (6624 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of imgRequestProxy with size 68 bytes each (2448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2880 instances of mozilla::css::Declaration with size 40 bytes each (115200 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2329 instances of nsAtomList with size 8 bytes each (18632 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1646 instances of nsAttrSelector with size 32 bytes each (52672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsBaseURLParser with size 12 bytes each (36 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsBasicEncoder with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 68 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsBindingManager with size 256 bytes each (24832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 12 bytes each (24 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsBoxObject with size 20 bytes each (120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 28 instances of nsCSSRect with size 32 bytes each (896 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 28 instances of nsCSSRect_heap with size 40 bytes each (1120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 56 instances of nsCSSRuleProcessor with size 28 bytes each (1568 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsCSSScanner with size 1032 bytes each (3096 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5668 instances of nsCSSSelector with size 40 bytes each (226720 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3911 instances of nsCSSSelectorList with size 12 bytes each (46932 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 113 instances of nsCSSStyleSheet with size 72 bytes each (8136 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 112 instances of nsCSSStyleSheetInner with size 88 bytes each (9856 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 294 instances of nsCSSValue::Array with size 16 bytes each (4704 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 34 instances of nsCSSValue::Image with size 40 bytes each (1360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 520 instances of nsCSSValue::URL with size 28 bytes each (14560 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCSSValueGradient with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsCSSValueGradientStop with size 16 bytes each (32 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2004 instances of nsCSSValueList with size 12 bytes each (24048 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1346 instances of nsCSSValueList_heap with size 20 bytes each (26920 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCSSValuePair with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 215 instances of nsCSSValuePairList with size 20 bytes each (4300 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 215 instances of nsCSSValuePairList_heap with size 28 bytes each (6020 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1510 instances of nsCStringKey with size 20 bytes each (30200 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsCategoryObserver with size 64 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 140 instances of nsChildContentList with size 20 bytes each (2800 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCollation with size 4 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsCollationWin with size 20 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 182 instances of nsCommentNode with size 64 bytes each (11648 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 88 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 60 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsDOMClassInfo with size 20 bytes each (60 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 13 instances of nsDOMDocumentType with size 100 bytes each (1300 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDOMEventTargetHelper with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsDOMNavigationTiming with size 160 bytes each (2240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 52 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatWin with size 40 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDeque with size 52 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsDocShell::InterfaceRequestorProxy with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsDocument with size 768 bytes each (74496 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 132 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 102 instances of nsEventListenerManager with size 88 bytes each (8976 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsExternalHelperAppService with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 8 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsFrameScriptExecutor with size 20 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 256 instances of nsGenericDOMDataNode with size 60 bytes each (15360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2395 instances of nsGenericElement with size 72 bytes each (172440 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 16 instances of nsGlobalWindow with size 416 bytes each (6656 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsGlobalWindowObserver with size 16 bytes each (224 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsHTMLBodyElement with size 80 bytes each (1120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsHTMLCSSStyleSheet with size 24 bytes each (2328 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4136 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLDivElement with size 80 bytes each (320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsHTMLInputElement with size 208 bytes each (2912 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLParagraphElement with size 80 bytes each (320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsHTMLPreElement with size 80 bytes each (320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 13 instances of nsHTMLSpanElement with size 80 bytes each (1040 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsHTMLStyleSheet with size 76 bytes each (7372 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 194 instances of nsHTMLStyleSheet::GenericTableRule with size 12 bytes each (2328 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsHTMLTextAreaElement with size 152 bytes each (1064 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3854 instances of nsHashKey with size 8 bytes each (30832 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsHashPropertyBag with size 48 bytes each (4656 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1087 instances of nsHashtable with size 44 bytes each (47828 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 582 instances of nsHtml5AttributeName with size 16 bytes each (9312 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 393 instances of nsHtml5ElementName with size 16 bytes each (6288 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 64 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 128 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsInProcessTabChildGlobal with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsIsOfflineSQLFunction with size 12 bytes each (24 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsJAR with size 144 bytes each (432 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsJARChannel with size 216 bytes each (20952 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 83 instances of nsJARInputStream with size 120 bytes each (9960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 83 instances of nsJARInputThunk with size 52 bytes each (4316 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsJARProtocolHandler with size 28 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsJARURI with size 44 bytes each (4268 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 59 instances of nsJSCID with size 52 bytes each (3068 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 81 instances of nsJSContext with size 64 bytes each (5184 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 5 instances of nsJSID with size 36 bytes each (180 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 204 instances of nsJSIID with size 24 bytes each (4896 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsLoadGroup with size 8 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 105 instances of nsLocalFile with size 88 bytes each (9240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsLocation with size 28 bytes each (84 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 48 instances of nsMediaList with size 24 bytes each (1152 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNativeTheme with size 120 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeWin with size 128 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNavigator with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1459 instances of nsNodeInfo with size 84 bytes each (122556 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 111 instances of nsNodeInfoManager with size 44 bytes each (4884 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsNodeWeakReference with size 16 bytes each (64 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsNotifyAddrListener with size 180 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 113 instances of nsNullPrincipal with size 36 bytes each (4068 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 113 instances of nsNullPrincipalURI with size 36 bytes each (4068 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 48 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsOnloadBlocker with size 12 bytes each (1164 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 68 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 19 instances of nsPersistentProperties with size 80 bytes each (1520 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of nsPrefBranch with size 80 bytes each (240 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 233 instances of nsPrincipal with size 76 bytes each (17708 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsPrivateBrowsingObserver with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of nsProperties with size 8 bytes each (288 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 900 instances of nsPseudoClassList with size 12 bytes each (10800 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 11 instances of nsRDFResource with size 28 bytes each (308 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRangeUtils with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 24 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsReverseStringSQLFunction with size 12 bytes each (24 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 16 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 29 instances of nsScriptError with size 104 bytes each (3016 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsScriptLoader with size 64 bytes each (6208 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 83 instances of nsScriptLoaderObserverProxy with size 16 bytes each (1328 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsScriptNameSpaceManager with size 88 bytes each (176 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSimpleURI with size 68 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 116 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1386 instances of nsStandardURL with size 180 bytes each (249480 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 9376 instances of nsStringBuffer with size 8 bytes each (75008 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of nsStringBundle with size 52 bytes each (1092 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 112 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 36 instances of nsSupportsCStringImpl with size 24 bytes each (864 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 36 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 9030 instances of nsTArray_base with size 4 bytes each (36120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 42 instances of nsTextEditorState with size 80 bytes each (3360 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 256 instances of nsTextFragment with size 8 bytes each (2048 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 32 instances of nsTextNode with size 64 bytes each (2048 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsThread with size 128 bytes each (256 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsTimerImpl with size 72 bytes each (144 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsTreeBoxObject with size 32 bytes each (192 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 117 instances of nsURIHashKey with size 8 bytes each (936 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 12 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsVariant with size 64 bytes each (896 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1496 instances of nsVoidArray with size 4 bytes each (5984 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 142 instances of nsWeakReference with size 16 bytes each (2272 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 67 instances of nsXBLDocGlobalObject with size 28 bytes each (1876 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 83 instances of nsXBLDocumentInfo with size 40 bytes each (3320 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 254 instances of nsXBLEventHandler with size 16 bytes each (4064 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 234 instances of nsXBLInsertionPointEntry with size 20 bytes each (4680 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 29 instances of nsXBLKeyEventHandler with size 24 bytes each (696 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 120 instances of nsXBLParameter with size 8 bytes each (960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 398 instances of nsXBLProtoImpl with size 32 bytes each (12736 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 355 instances of nsXBLProtoImplField with size 24 bytes each (8520 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 709 instances of nsXBLProtoImplMethod with size 20 bytes each (14180 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1074 instances of nsXBLProtoImplProperty with size 28 bytes each (30072 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 571 instances of nsXBLPrototypeBinding with size 60 bytes each (34260 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 80 instances of nsXBLPrototypeResources with size 12 bytes each (960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 24 instances of nsXBLResource with size 20 bytes each (480 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 80 instances of nsXBLResourceLoader with size 36 bytes each (2880 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 799 instances of nsXBLTextWithLineNumber with size 8 bytes each (6392 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 223 instances of nsXBLUncompiledMethod with size 16 bytes each (3568 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 97 instances of nsXMLDocument with size 776 bytes each (75272 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1016 instances of nsXMLElement with size 80 bytes each (81280 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 29 instances of nsXMLProcessingInstruction with size 64 bytes each (1856 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 29 instances of nsXMLStylesheetPI with size 88 bytes each (2552 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 23 instances of nsXPCComponents with size 60 bytes each (1380 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 17 instances of nsXPCComponents_Classes with size 20 bytes each (340 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsXPCComponents_ID with size 20 bytes each (140 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 21 instances of nsXPCComponents_Interfaces with size 28 bytes each (588 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 6 instances of nsXPCComponents_Results with size 20 bytes each (120 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 7 instances of nsXPCComponents_Utils with size 24 bytes each (168 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 108 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsXPathEvaluator with size 8 bytes each (16 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsXULCommandDispatcher with size 28 bytes each (392 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsXULDocument with size 984 bytes each (13776 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1319 instances of nsXULElement with size 88 bytes each (116072 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsXULPDGlobalObject with size 32 bytes each (448 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 80 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2895 instances of nsXULPrototypeAttribute with size 12 bytes each (34740 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 236 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 14 instances of nsXULPrototypeDocument with size 48 bytes each (672 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1308 instances of nsXULPrototypeElement with size 32 bytes each (41856 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 29 instances of nsXULPrototypePI with size 36 bytes each (1044 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 49 instances of nsXULPrototypeScript with size 40 bytes each (1960 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 32 instances of nsXULPrototypeText with size 24 bytes each (768 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULTemplateBuilder with size 140 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULTemplateQueryProcessorXML with size 68 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsXULTooltipListener with size 56 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of nsZipArchive with size 1064 bytes each (2128 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 4 instances of nsZipHandle with size 24 bytes each (96 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of nsZipReaderCache with size 84 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 3 instances of txAExprResult with size 12 bytes each (36 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of txResultRecycler with size 28 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 2 instances of xpc::CompartmentPrivate with size 32 bytes each (64 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 199 instances of xptiInterfaceInfo with size 20 bytes each (3980 bytes total)
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 128 bytes
TEST-INFO | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 88 bytes
Comment 6 Graeme McCutcheon [:graememcc] 2011-09-21 09:35:54 PDT
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other
https://tbpl.mozilla.org/php/getParsedLog.php?id=6485153&tree=Mozilla-Inbound
Comment 7 Graeme McCutcheon [:graememcc] 2011-09-21 10:01:16 PDT
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-09-21
https://tbpl.mozilla.org/php/getParsedLog.php?id=6485458&tree=Mozilla-Inbound
Comment 9 Matt Brubeck (:mbrubeck) 2011-09-21 10:14:26 PDT
https://tbpl.mozilla.org/leak-analysis/?id=6483090&tree=Firefox

Those last two leaked 1.9MB and 4.1MB, but they appear to be the same leak.
Comment 15 Matt Brubeck (:mbrubeck) 2011-09-22 16:39:42 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6508281&tree=Mozilla-Inbound

This is frequent enough that we should be able to figure out a pretty narrow regression range.  For example, if we guess that it regressed no more than 10 pushes before the first occurence, the range would be:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=104fb6df714f&tochange=5a3e49205389
Comment 16 Graeme McCutcheon [:graememcc] 2011-09-23 02:30:51 PDT
Pretty frequent now on inbound:

https://tbpl.mozilla.org/php/getParsedLog.php?id=6514206&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6514980&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6515201&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6514390&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6514948&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6514932&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6514932&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6513232&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6513225&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6513068&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6513059&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6512175&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6510969&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6506827&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6500521&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6501421&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6498015&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6498112&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6496075&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6489655&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6488576&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6488220&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6487943&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6487814&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=6485694&tree=Mozilla-Inbound
Comment 17 Graeme McCutcheon [:graememcc] 2011-09-23 02:38:07 PDT
Missed one:
https://tbpl.mozilla.org/php/getParsedLog.php?id=6496075&tree=Mozilla-Inbound
Comment 96 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-09-30 01:34:29 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=6622305&tree=Mozilla-Inbound
Comment 123 Matt Brubeck (:mbrubeck) 2011-10-02 09:04:29 PDT
This is a regression from 5a3e49205389 (bug 678830).  When I pushed that revision to Try, I got 4 mochitest-chrome leaks out of 48 test runs:
https://tbpl.mozilla.org/?tree=Try&usebuildbot=1&rev=3aa1dd51d58f

The parent revision ceafc572c5ad had 0 mochitest-chrome leaks out of 48 test runs:
https://tbpl.mozilla.org/?tree=Try&usebuildbot=1&rev=af4fe2e8b382

And the previous ancestor c0f7ee4b3358 also had 0 mochitest-chrome leaks out of 48 runs:
https://bugzilla.mozilla.org/show_bug.cgi?id=689247

I also pushed several earlier ancestors to Try and saw zero leaks out of a total of about 200 test runs.  See comment 120 for links to results.
Comment 134 Phil Ringnalda (:philor) 2011-10-03 14:07:20 PDT
Well, that was actually a bug 690604, but it's not like anyone's going to catch me having done that.
Comment 228 Matt Brubeck (:mbrubeck) 2011-10-27 13:41:53 PDT
Comment 227 is actually bug 653080.  whew!
Comment 251 Andrew McCreight [:mccr8] 2011-11-13 06:44:02 PST
There's something a little odd about this bug.  On about 10-6 to 10-8, it stops showing up on trunk and starts showing up on Aurora.  But according to the calendar, there was a switchover on 09-27, so I don't know how it suddenly jumped over like that.  I didn't notice any bugs related to bug 678830 landing anywhere around then.
Comment 252 Matt Brubeck (:mbrubeck) 2011-11-14 11:09:27 PST
This actually started happening on Aurora on 9/28, right after the 9/27 merge:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=687857&startday=2011-09-20&endday=2011-10-19&tree=mozilla-aurora

It was just happening so often for a while (about once per push on average) that I stopped commenting in this bug every single time.  And apparently no one else was even bothering to star their Aurora pushes in that time.
Comment 253 Andrew McCreight [:mccr8] 2011-11-14 11:33:13 PST
Oh, okay!  I guess that explains that.  Has it gone away on trunk and Aurora after the last changeover on 11/8 as far as you've noticed?  Peter landed something that should be a fix for this shortly before the changeover.
Comment 254 Matt Brubeck (:mbrubeck) 2011-11-14 12:47:33 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=7362560&tree=Mozilla-Beta

(In reply to Andrew McCreight [:mccr8] from comment #253)
> Oh, okay!  I guess that explains that.  Has it gone away on trunk and Aurora
> after the last changeover on 11/8 as far as you've noticed?  Peter landed
> something that should be a fix for this shortly before the changeover.

It looks like this went away on trunk around October 8, for no reason that anyone could figure out at the time:
brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=687857&startday=2011-10-01&endday=2011-10-30&tree=mozilla-inbound

and it went away on Aurora with the 11/8 merge.
Comment 255 Andrew McCreight [:mccr8] 2011-11-14 12:49:25 PST
Very odd.
Comment 258 Andrew McCreight [:mccr8] 2011-11-15 17:18:45 PST
Bug 678830 caused this, and it is still going on Beta.  It disappeared on trunk on October 8th for no clear reason.  Bug 699796 may also fix it, but it isn't clear because it went away before it actually landed.
Comment 279 Alex Keybl [:akeybl] 2011-12-01 14:59:46 PST
Approved Bug 699796 for aurora/beta instead.
Comment 280 Andrew McCreight [:mccr8] 2011-12-07 13:41:06 PST
This was getting a few hits a day on average in beta, but hasn't been seen since 12-01, and I landed Bug 699796 on 12-02, so this may be fixed.
Comment 281 Graeme McCutcheon [:graememcc] 2012-04-25 11:53:53 PDT
Per comment 280, and there being no failures since, I'd say closing this is long overdue.

Note You need to log in before you can comment on or make changes to this bug.